Skip to main content

PATCH /streams/rest/v1/streams/{id} REST API Endpoint

Loading...

Updated on
Apr 06, 2026

PATCH /streams/rest/v1/streams/{id} REST API Endpoint

Path Parameters

id
string
REQUIRED
Loading...

Body Parameters

name
string
Loading...
filter_function
string
Loading...
start_range
integer
Loading...
end_range
integer
Loading...
dataset_batch_size
integer
Loading...
status
string
Loading...
activepaused
elastic_batch_enabled
boolean
Loading...
fix_block_reorgs
integer
Loading...
keep_distance_from_tip
integer
Loading...
notification_email
string
Loading...
destination
string
Loading...
webhooks3azurepostgres
destination_attributes
object
REQUIRED
Loading...
Loading...
url
string
REQUIRED
Loading...
compression
string
REQUIRED
Loading...
nonegzip
headers
object
Loading...
key-value
string
Loading...
max_retry
integer
REQUIRED
Loading...
retry_interval_sec
integer
REQUIRED
Loading...
post_timeout_sec
integer
REQUIRED
Loading...
extra_destinations
array
Loading...
destination
string
REQUIRED
Loading...
webhooks3azurepostgres
destination_attributes
object
REQUIRED
Loading...

Returns

id
string
Loading...
created_at
string
Loading...
updated_at
string
Loading...
name
string
Loading...
network
string
Loading...
dataset
string
Loading...
region
string
Loading...
filter_function
string
Loading...
start_range
integer
Loading...
end_range
integer
Loading...
dataset_batch_size
integer
Loading...
destination
string
Loading...
fix_block_reorgs
integer
Loading...
keep_distance_from_tip
integer
Loading...
destination_attributes
object
Loading...
Loading...
url
string
Loading...
compression
string
Loading...
headers
object
Loading...
key-value
string
Loading...
max_retry
integer
Loading...
retry_interval_sec
integer
Loading...
post_timeout_sec
integer
Loading...
security_token
string
Loading...
status
string
Loading...
notification_email
string
Loading...
sequence
integer
Loading...
current_hash
string
Loading...
elastic_batch_enabled
boolean
Loading...
extra_destinations
array
Loading...
destination
string
Loading...
destination_attributes
object
Loading...
Request
1
curl -X PATCH \
2
"https://api.quicknode.com/streams/rest/v1/streams/{id}" \
3
-H "accept: application/json" \
4
-H "Content-Type: application/json" \
5
-H "x-api-key: YOUR_API_KEY" \
6
-d $'{
7
"filter_function": "ZnVuY3Rpb24gbWFpbihkYXRhKSB7CiAgICB2YXIgbnVtYmVyRGVjaW1hbCA9IHBhcnNlSW50KGRhdGEuc3RyZWFtRGF0YS5udW1iZXIsIDE2KTsKICAgIHZhciBmaWx0ZXJlZERhdGEgPSB7CiAgICAgICAgaGFzaDogZGF0YS5zdHJlYW1EYXRhLmhhc2gsCiAgICAgICAgbnVtYmVyOiBudW1iZXJEZWNpbWFsCiAgICB9OwogICAgcmV0dXJuIGZpbHRlcmVkRGF0YTsKfQ==",
8
"start_range": 100,
9
"end_range": 200,
10
"dataset_batch_size": 1,
11
"destination": "webhook",
12
"fix_block_reorgs": 0,
13
"keep_distance_from_tip": 0,
14
"destination_attributes": {
15
"url": "https://wehook.site",
16
"compression": "none",
17
"headers": {
18
"Content-Type": "Test",
19
"Authorization": "again"
20
},
21
"max_retry": 3,
22
"retry_interval_sec": 1,
23
"post_timeout_sec": 10
24
},
25
"status": "active"
26
}'
27
1
curl -X PATCH \
2
"https://api.quicknode.com/streams/rest/v1/streams/{id}" \
3
-H "accept: application/json" \
4
-H "Content-Type: application/json" \
5
-H "x-api-key: YOUR_API_KEY" \
6
-d $'{
7
"filter_function": "ZnVuY3Rpb24gbWFpbihkYXRhKSB7CiAgICB2YXIgbnVtYmVyRGVjaW1hbCA9IHBhcnNlSW50KGRhdGEuc3RyZWFtRGF0YS5udW1iZXIsIDE2KTsKICAgIHZhciBmaWx0ZXJlZERhdGEgPSB7CiAgICAgICAgaGFzaDogZGF0YS5zdHJlYW1EYXRhLmhhc2gsCiAgICAgICAgbnVtYmVyOiBudW1iZXJEZWNpbWFsCiAgICB9OwogICAgcmV0dXJuIGZpbHRlcmVkRGF0YTsKfQ==",
8
"start_range": 100,
9
"end_range": 200,
10
"dataset_batch_size": 1,
11
"destination": "webhook",
12
"fix_block_reorgs": 0,
13
"keep_distance_from_tip": 0,
14
"destination_attributes": {
15
"url": "https://wehook.site",
16
"compression": "none",
17
"headers": {
18
"Content-Type": "Test",
19
"Authorization": "again"
20
},
21
"max_retry": 3,
22
"retry_interval_sec": 1,
23
"post_timeout_sec": 10
24
},
25
"status": "active"
26
}'
27
Don't have an account yet?
Create your Quicknode endpoint in seconds and start building
Get started for free